Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface QueryManager

All Known Subinterfaces:
  BusinessQueryManager, DeclarativeQueryManager

public interface QueryManager

This is the common base interface for all QueryManagers in the API.

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Method Summary
`RegistryObject` | `getRegistryObject(String id)`
`RegistryObject` | `getRegistryObject(String id, String objectType)`
`BulkResponse` | `getRegistryObjects()`
`BulkResponse` | `getRegistryObjects(Collection objectKeys)`
`BulkResponse` | `getRegistryObjects(Collection objectKeys, String objectType)`
`BulkResponse` | `getRegistryObjects(String objectType)`
`RegistryService` | `getRegistryService()`

Method Detail

### getRegistryObject

    public RegistryObject getRegistryObject(String id)
                                     throws JAXRException

  Throws:
    `JAXRException`

### getRegistryObject

    public RegistryObject getRegistryObject(String id,
                                            String objectType)
                                     throws JAXRException

  Throws:
    `JAXRException`

### getRegistryObjects

    public BulkResponse getRegistryObjects()
                                    throws JAXRException

  Throws:
    `JAXRException`

### getRegistryObjects

    public BulkResponse getRegistryObjects(String objectType)
                                    throws JAXRException

  Throws:
    `JAXRException`

### getRegistryObjects

    public BulkResponse getRegistryObjects(Collection objectKeys)
                                    throws JAXRException

  Throws:
    `JAXRException`

### getRegistryObjects

    public BulkResponse getRegistryObjects(Collection objectKeys,
                                           String objectType)
                                    throws JAXRException

  Throws:
    `JAXRException`

### getRegistryService

    public RegistryService getRegistryService()
                                       throws JAXRException

  Throws:
    `JAXRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.